﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.Collections;
using System.Windows.Forms;

namespace Directories
{
    class ColumnComparer : IComparer
    {
        private int col;
        private bool rev;

        public ColumnComparer()
        {
            col = 0;
            rev = false;
        }

        public void setColumn (int c)
        {
            if (c == col)
                rev = ! rev;
            else
                col = c;
        }

        public int Compare (object x, object y)
        {
            ListViewItem a = (ListViewItem) x;
            ListViewItem b = (ListViewItem) y;
            string aa = a.SubItems[col].Text;
            string bb = b.SubItems[col].Text;
            int answer = String.Compare(aa, bb);
            if (rev)
                answer = -answer;
            return answer;
        }
    }
}
